# Limits

## Request parameters

&#x20;Limits per window by resource. Rate limit window duration is currently 15 minutes long.<br>

| Resource parent | Resoure                            | Request limit |
| --------------- | ---------------------------------- | ------------- |
| documents       | GET documents                      | 150           |
| document        | GET document                       | 150           |
| document        | POST document/file                 | 50            |
| document        | POST document/url                  | 50            |
| document        | PUT document                       | 50            |
| document        | DELETE document                    | 50            |
| document        | GET document/progress              | 150           |
| document        | GET document/categories            | 150           |
| document        | GET document/languages             | 150           |
| document        | GET document/hotspots              | 500           |
| document        | GET document/hotspot               | 500           |
| document        | POST document/hotspot              | 250           |
| document        | PUT document/hotspot               | 250           |
| document        | DELETE document/hotspot            | 250           |
| countries       | GET countries                      | 150           |
| collections     | GET collections                    | 150           |
| collection      | GET collection                     | 150           |
| collection      | POST collection                    | 50            |
| collection      | PUT collection                     | 50            |
| collection      | DELETE collection                  | 50            |
| collection      | GET collection/section             | 150           |
| collection      | POST collection/section            | 50            |
| collection      | PUT collection/section             | 50            |
| collection      | DELETE collection/section          | 50            |
| collection      | POST collection/section/document   | 50            |
| collection      | DELETE collection/section/document | 50            |
| search          | GET search                         | 150           |
| user            | GET user                           | 150           |
| user            | POST user                          | 1             |
| user            | PUT user                           | 50            |
| embeds          | GET embeds                         | 150           |
| embed           | GET embed                          | 150           |
| embed           | POST embed                         | 50            |
| embed           | PUT embed                          | 50            |
| embed           | DELETE embed                       | 50            |
| account         | GET account/members                | 5000          |
| account         | GET account/member                 | 500           |
| account         | POST account/member                | 250           |
| account         | PUT account/member                 | 250           |
| account         | DELETE account/member              | 250           |
| account         | GET account/access\_tags           | 500           |
| account         | GET account/access\_tag            | 500           |
| account         | POST account/access\_tag           | 250           |
| account         | PUT account/access\_tag            | 250           |
| account         | DELETE account/access\_tag         | 250           |
| account         | GET account/subscriptions          | 500           |
| account         | GET account/subscription           | 500           |
| account         | POST account/subscription          | 250           |
| account         | PUT account/subscription           | 250           |
| account         | DELETE account/subscription        | 250           |

## Increase your API limits

&#x20;If you are a developer and the Limits of our API are too strict for your application, please feel free to contact our [support team](http://support.yumpu.com/).\
\
Just write us what your application is about and why the existing limits are not optimal for you.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.yumpu.com/api/limits.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
